org.eclipse.emf.cdo.server

## Interface IUnit

-     public interface IUnit

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(IView view)`
    `IUnitManager` | `getManager()`
    `CDOID` | `getRootID()`
    `boolean` | `isOpen()`
    `void` | `open(IView view, CDORevisionHandler revisionHandler, OMMonitor monitor)`

- - ### Method Detail

    - #### getManager

          IUnitManager getManager()

    - #### getRootID

          CDOID getRootID()

    - #### isOpen

          boolean isOpen()

    - #### open

          void open(IView view,
                    CDORevisionHandler revisionHandler,
                    OMMonitor monitor)

    - #### close

          void close(IView view)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html